The new docs.trellix.com features a modernized UI and AI-powered conversational search. Content is currently available in English, with additional languages launching in early November 2026. We hope you enjoy the updated experience.

Update the DXL Integration Configuration for Sensor

Prev Next

This URL updates the DXL integration configuration for Sensor.

Resource URL

PUT /sensor/<sensor_id>/dxlintegration

Request Parameters

URL Parameter

Field Name

Description

Data Type

Mandatory

sensorId

Sensor id

Number

Yes

Payload Parameters:

Field Name

Description

Data Type

Mandatory

inheritSettings

Inherit settings from parent domain

Boolean

Yes

enableDXL

DXL enable or not

Boolean

No

epoServerIporName

ePO server IP

String

No

epoServerPort

ePO server port. Default is 8443

Number

No

epoUsername

ePO username

String

No

epoPassword

ePO password

String

No

Response Parameters

Following fields are returned if the request parameters are correct, otherwise error details are returned.

Field Name

Description

Data Type

status

Set to 1 if the operation was successful

Number

Example

Request

PUT https://<NSM_IP>/sdkapi/sensor/1001/dxlintegration

Payload

{
       "inheritSettings": false,
       "enableDXL": true,
       "epoServerIporName": "10.213.169.206",
       "epoServerPort": 8443,
       "epoUsername": "admin",
       "epoPassword": "admin123"
    }

Response

  {
       "status":1
   }

Error Information

Following error codes are returned by this URL:

No

HTTP Error Code

SDK API errorId

SDK API errorMessage

1

400

1106

Invalid Sensor

2

404

1124

The Sensor is inactive

3

404

9201

DXL integration supported only for NS and Virtual Sensors having software version greater than or equal to 9.1

4

400

9102

EPO server IP address, username and password are mandatory

5

400

9103

EPO server username can contain space, numbers, alphabets and special characters '_-.\\'

6

400

9104

EPO server password should be less than 64